Skip to main content
`Ctrl`+`K`

# SNESLineSearchShellGetApply

Gets the apply function and context for the `SNESLINESEARCHSHELL`

## Synopsis

    PetscErrorCode SNESLineSearchShellGetApply(SNESLineSearch linesearch, SNESLineSearchShellApplyFn **func, PetscCtxRt ctx)

Not Collective

## Input Parameter

- linesearch - the line search object

## Output Parameters

- func - the user function; can be `NULL` if it is not needed, see `SNESLineSearchShellApplyFn` for calling sequence

- ctx - the user function context; can be `NULL` if it is not needed

## See Also

SNES: Nonlinear Solvers, `SNESLineSearchShellSetApply()`, `SNESLINESEARCHSHELL`, `SNESLineSearchType`, `SNESLineSearch`, `SNESLineSearchShellApplyFn`

## Level

advanced

## Location

src/snes/linesearch/impls/shell/linesearchshell.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages